-- dynamic_trees/dt_crafting.lua

-- Crafting Recipe For The DT Apple Sapling
minetest.register_craft({
	type = "shapeless",
	output = "dynamic_trees:apple_tree_sapling 1",
	recipe = { 
		"default:leaves", "default:leaves", "default:leaves",
		"default:leaves", "default:leaves", "default:leaves",
		"default:leaves", "default:leaves", "default:leaves"
	}
})

-- Crafting Recipe For The DT Aspen Sapling
minetest.register_craft({
	type = "shapeless",
	output = "dynamic_trees:aspen_tree_sapling 1",
	recipe = { 
		"default:aspen_leaves", "default:aspen_leaves", "default:aspen_leaves",
		"default:aspen_leaves", "default:aspen_leaves", "default:aspen_leaves",
		"default:aspen_leaves", "default:aspen_leaves", "default:aspen_leaves"
	}
})

-- Crafting Recipe For The DT Bamboo Shoot
minetest.register_craft({
	output = "dynamic_trees:bamboo_shoot 1",
	recipe = { 
		{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"},
		{"group:dynamic_tree_bamboo", "group:dt_bamboo_leaves", "group:dynamic_tree_bamboo"},
		{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"}
	}
})

-- Bamboo bundle
minetest.register_node("dynamic_trees:bamboo_bundle", {
	description = "Bamboo Bundle",
	tiles = {"dt_bamboo_bundle_top.png", "dt_bamboo_bundle_top.png", "dt_bamboo_bundle_side.png"},
	is_ground_content = false,
	groups = {tree = 1, choppy = 2, oddly_breakable_by_hand = 1, flammable = 2},
	sounds = default.node_sound_wood_defaults(),
	paramtype2 = "facedir",
	on_place = minetest.rotate_node
})

-- Crafting Recipe For The Bamboo Bundle
minetest.register_craft({
	output = "dynamic_trees:bamboo_bundle 4",
	recipe = { 
		{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"},
		{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"},
		{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"}
	}
})

-- Bamboo Planks
minetest.register_node("dynamic_trees:bamboo_planks", {
	description = "Bamboo Planks",
	tiles = {"dt_bamboo_planks.png"},
	is_ground_content = false,
	groups = {choppy = 2, oddly_breakable_by_hand = 2, flammable = 2, wood = 1},
	sounds = default.node_sound_wood_defaults(),
	paramtype2 = "facedir",
	place_param2 = 0
})

-- Bamboo Planks Recipes
minetest.register_craft({
	output = "dynamic_trees:bamboo_planks 1",
	recipe = {
		{"dynamic_trees:bamboo_2x2"},
	}
})

minetest.register_craft({
	output = "dynamic_trees:bamboo_planks 2",
	recipe = {
		{"dynamic_trees:bamboo_4x4"},
	}
})

minetest.register_craft({
	output = "dynamic_trees:bamboo_planks 3",
	recipe = {
		{"dynamic_trees:bamboo_6x6"},
	}
})

minetest.register_craft({
	output = "dynamic_trees:bamboo_planks 4",
	recipe = {
		{"dynamic_trees:bamboo_8x8"},
	}
})

-- Bamboo Doors
if minetest.global_exists("doors") then
	doors.register_trapdoor("dynamic_trees:bamboo_trapdoor", {
		description = "Bamboo Trapdoor",
		inventory_image = "dt_bamboo_trapdoor.png",
		wield_image = "dt_bamboo_trapdoor.png",
		tile_front = "dt_bamboo_trapdoor.png",
		tile_side = "dt_bamboo_trapdoor_side.png",
    	groups = {choppy = 2, oddly_breakable_by_hand = 2, flammable = 2, door = 1},
		gain_open = 0.06,
		gain_close = 0.13,
	})

	minetest.register_craft({
		output = "dynamic_trees:bamboo_trapdoor 2",
		recipe = {
			{"dynamic_trees:bamboo_planks", "dynamic_trees:bamboo_planks", "dynamic_trees:bamboo_planks"},
			{"dynamic_trees:bamboo_planks", "group:dynamic_tree_bamboo", "dynamic_trees:bamboo_planks"},
		}
	})

	doors.register("dynamic_trees:bamboo_door", {
    	tiles = {{ name = "dt_bamboo_door.png", backface_culling = true }},
    	description = "Bamboo Door",
    	inventory_image = "dt_bamboo_door_item.png",
    	groups = {node = 1, choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
    	gain_open = 0.06,
    	gain_close = 0.13,
		recipe = {
			{"dynamic_trees:bamboo_planks", "dynamic_trees:bamboo_planks"},
			{"group:dynamic_tree_bamboo", "group:dynamic_tree_bamboo"},
			{"dynamic_trees:bamboo_planks", "dynamic_trees:bamboo_planks"},
		} 
	})
end

-- Bamboo Plank And Bundle Stairs
if minetest.global_exists("stairs") then
	stairs.register_stair(
	"bamboo_planks",
	"dynamic_trees:bamboo_planks",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_planks.png"},
	("Bamboo Planks Stair"),
	default.node_sound_wood_defaults(),
	false
	)

	stairs.register_slab(
	"bamboo_planks",
	"dynamic_trees:bamboo_planks",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_planks.png"},
	("Bamboo Planks Slab"),
	default.node_sound_wood_defaults(),
	false
	)
	
	stairs.register_stair_inner(
	"bamboo_planks",
	"dynamic_trees:bamboo_planks",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_planks.png"},
	("Bamboo Planks Inner Stair"),
	default.node_sound_glass_defaults(),
	false
	)

	stairs.register_stair_outer(
	"bamboo_planks",
	"dynamic_trees:bamboo_planks",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_planks.png"},
	("Bamboo Planks Outer Stair"),
	default.node_sound_glass_defaults(),
	false
	)
	
	stairs.register_stair(
	"bamboo_bundle",
	"dynamic_trees:bamboo_bundle",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_bundle_stairs.png"},
	("Bamboo Bundle Stair"),
	default.node_sound_wood_defaults(),
	false
	)

	stairs.register_slab(
	"bamboo_bundle",
	"dynamic_trees:bamboo_bundle",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_bundle_stairs.png"},
	("Bamboo Bundle Slab"),
	default.node_sound_wood_defaults(),
	false
	)
	
	stairs.register_stair_inner(
	"bamboo_bundle",
	"dynamic_trees:bamboo_bundle",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_bundle_stairs.png"},
	("Bamboo Bundle Stair"),
	default.node_sound_glass_defaults(),
	false
	)

	stairs.register_stair_outer(
	"bamboo_bundle",
	"dynamic_trees:bamboo_bundle",
	{choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	{"dt_bamboo_bundle_stairs.png"},
	("Bamboo Bundle Stair"),
	default.node_sound_glass_defaults(),
	false
	)
end

-- Bamboo Fence And Rails
default.register_fence("dynamic_trees:bamboo_fence", {
	description = "Bamboo Fence",
	texture = "dt_bamboo_fence.png",
	inventory_image = "default_fence_overlay.png^dt_bamboo_bundle_side.png^" ..
				"default_fence_overlay.png^[makealpha:255,126,126",
	wield_image = "default_fence_overlay.png^dt_bamboo_bundle_side.png^" ..
				"default_fence_overlay.png^[makealpha:255,126,126",
	material = "group:dynamic_tree_bamboo",
	groups = {choppy = 3, oddly_breakable_by_hand = 2, flammable = 3},
	sounds = default.node_sound_wood_defaults()
})

default.register_fence_rail("dynamic_trees:bamboo_fence_rail", {
	description = "Bamboo Fence Rail",
	texture = "dt_bamboo_fence_rail.png",
	inventory_image = "default_fence_rail_overlay.png^dt_bamboo_bundle_side.png^" ..
				"default_fence_rail_overlay.png^[makealpha:255,126,126",
	wield_image = "default_fence_rail_overlay.png^dt_bamboo_bundle_side.png^" ..
				"default_fence_rail_overlay.png^[makealpha:255,126,126",
	material = "group:dynamic_tree_bamboo",
	groups = {choppy = 2, oddly_breakable_by_hand = 2, flammable = 2},
	sounds = default.node_sound_wood_defaults()
})


-- If The Bonemeal Mod Is Installed This Allows The Bamboo Canopy Leaves
-- To Be Mulched, It At Least Makes Another Way To Get Rid Of Them If
-- They Aren't Used To Make Bamboo Shoots
if minetest.get_modpath("bonemeal") then
	minetest.register_craft({
	type = "shapeless",
	output = "bonemeal:mulch 3",
	recipe = { 
		"group:dt_bamboo_leaves", "group:dt_bamboo_leaves", "group:dt_bamboo_leaves",
		"group:dt_bamboo_leaves", "group:dt_bamboo_leaves", "group:dt_bamboo_leaves",
		"group:dt_bamboo_leaves", "group:dt_bamboo_leaves", "group:dt_bamboo_leaves"
	}
})
end